import {action, makeAutoObservable} from "mobx";
import {http} from "../utils/http";

export class Membership {
    page = 0;
    pageSize = 10
    data = [];
    total_data = 0

    constructor(ctx) {
        this.ctx = ctx;
        makeAutoObservable(this);
    }

    @action
    async getData() {
        const response = await http.get(`/users?page=${this.page}&pageSize=${this.pageSize}`);
        console.log(response)
        this.data = response.body.data ?? []
        this.total_data = response.body.total_data ?? 0
    }
    // async getData() {
    //     const response = await http.get(`/users/find-by-supperior?page=${this.page}&pageSize=${this.pageSize}`);
    //     this.data = response.body.data ?? []
    //     this.total_data = response.body.total_data ?? 0
    // }

    @action
    async create(data) {
        return await http.post('/users').send(data)
    }

    @action
    async update(id, data) {
        // console.log(data)
        // console.log(id)
        const response = await http.put('/users/' + id).send(data);
        console.log(response, 'Data user')
        console.log(JSON.stringify(response.body.data), 'Data')
    }

    async delete(id) {
        console.log(id)
        return await http.del('/users/' + id);
        
    }
}


